package rcpmail_test;

import junit.framework.TestCase;

import org.eclipse.ui.IViewReference;
import org.eclipse.ui.IWorkbenchPage;
import org.eclipse.ui.IWorkbenchWindow;

import rcpmail.RcpmailPlugin;
import rcpmail.rcp.OpenViewAction;
import rcpmail.rcp.SampleView;

public class RcpMailTest extends TestCase {

	public void testNewView() throws Exception {
		IWorkbenchWindow activeWorkbenchWindow = RcpmailPlugin.getDefault().getWorkbench().getActiveWorkbenchWindow();
		IWorkbenchPage activePage = activeWorkbenchWindow.getActivePage();
		IViewReference[] viewReferences = activePage.getViewReferences();
		int before = viewReferences.length;
		
		new OpenViewAction(activeWorkbenchWindow,"", SampleView.ID).run();
		
		int after = activePage.getViewReferences().length;
		
		assertTrue(before<after);
	}
}
